{

    "GcodeHead": "G21 ;metric values\\nG90 ;absolute positioning\\nM82 ;set extruder to absolute mode\\nG28 X0 Y0 ;move X/Y to min endstops\\nG28 Z0 ;move Z to min endstops\\nG1 Z15.0 F1500 ;move the platform down 15mm\\nG92 E0 ;zero the extruded length\\nG1 F200 E3 ;extrude 3mm of feed stock\\nG92 E0 ;zero the extruded length again\\nM302\\nG1 F1500\\n\\nM302 S0 ; always allow extrusion (disable checking)\\nM163 S0 P0.9 ; Set Mix Factor\\nM163 S1 P0.1 ; Set Mix Factor\\nM164 S0\\n                                        ",
    "GcodeEnd": "G91 ;relative positioning\\nG1 F1500 Z+2 ; move Z up a bit and retract filament even more\\nG28 X0;move X/Y to min endstops, so the head is out of the way\\nG90\\n                                        ",
    "printersettings": {
        "Cartesian": {
            "printerspeed": 1200,
            "extrusionration": 126,
            "skirtoffset": 20,
            "printercenterx": 75,
            "printercentery": 75,
            "platform_x": 150,
            "platform_y": 150,
            "platform_z": 240
        }
    },
    "objectsettings": {
        "layerheight": 1,
        "objectheight": 160,
        "linewidth": 1.5,
        "scaleuniform": 1,
        "ScaleX": 0.9,
        "ScaleY": 0.9,
        "ScaleZ": 1,
        "objecttype": 0,
        "scallingoptions": 0,
        "horizontalprofile": 0
    },
    "basesettings": {
        "baselayers": 1,
        "baselayersratio": 80,
        "baselayerheight": 1,
        "baselayeroffset": 5
    },
    "ShapeDesign": {
        "shape_texturetype": 1,
        "shape_1d_pattern": 0,
        "shape_2d_pattern": 1,
        "shape_doubledeck": true,
        "shape_startlayer": 0,
        "shape_endlayer": 100,
        "shape_contourgap": 10,
        "shape_polygon": 11,
        "shape_leftboundary": 26,
        "shape_rightboundary": 61,
        "shape_patternsize": 6,
        "shape_rotategroup": 0,
        "shape_rotateangle": 6,
        "shape_rotateeffect": 0,
        "shape_spacinglayer": 0,
        "shape_texturelayer": 2,
        "shape_rowdensity": 55,
        "shape_columndensity": 78,
        "shape_texturewave": 30
    },
    "profile": {
        "dimensions": 1,
        "visualization": 1
    },
    "datas": {
        "A": 61,
        "B": 41,
        "C": 59,
        "D": 71,
        "E": 61
    },
    "model_type": 0,
    "control_line": {
        "line0": {
            "index": 0,
            "indexctlpoint": {
                "A": 50,
                "B": 50,
                "C": 50,
                "D": 50,
                "E": 50
            }
        },
        "line1": {
            "index": 1,
            "indexctlpoint": {
                "A": 50,
                "B": 50,
                "C": 50,
                "D": 50,
                "E": 50
            }
        }
    },
    "lofting_contour": {
        "contour0": {
            "layernumber": 0,
            "ctlpoint": {
                "0x": 0,
                "0y": 10,
                "1x": 2,
                "1y": 20,
                "2x": 0,
                "2y": 30,
                "3x": 20,
                "3y": 30,
                "4x": 30,
                "4y": 20
            }
        },
        "contour1": {
            "layernumber": 1,
            "ctlpoint": {
                "0x": 184,
                "0y": 323,
                "1x": 293,
                "1y": 322,
                "2x": 358,
                "2y": 423,
                "3x": 445,
                "3y": 325,
                "4x": 538,
                "4y": 328,
                "5x": 453,
                "5y": 236,
                "6x": 460,
                "6y": 153,
                "7x": 365,
                "7y": 241,
                "8x": 237,
                "8y": 146,
                "9x": 259,
                "9y": 246,
                "10x": 198,
                "10y": 309
            }
        }
    }

}